-- API 模块配置
-- 此文件被主项目通过 includes("api") 引入

-- API 库
target("api_lib")
    add_rules("qt.static")
    set_kind("static")
    if is_plat("windows") then
        add_defines("UNICODE", "_UNICODE")
    end
    
    -- 所有源文件
    add_files("*.h", {rules = "qt.moc"})
    add_files("*.cpp")
    add_headerfiles("*.h")
    
    -- 包含目录
    add_includedirs(".", {public = true})
    add_includedirs("..", {public = true})

    add_deps("jsonserializer")
    -- Windows 特定链接库
    if is_plat("windows") then
        add_syslinks("user32", "gdi32", "ole32")
    end
    add_frameworks("QtCore", "QtGui", "QtWidgets", "QtNetwork", "QtMultimedia")
target_end()
